Subject: Re: bug#45360: Cannot log in to GNOME on foreign distro with Guix

From: Nicolas Goaziou <[email-masked]>
Date: Tue, 22 Dec 2020 14:40:01 +0100

Hello,

Ricardo Wurmus <[email-masked]> writes:

> Carlo Zancanaro <[email-masked]> writes:

>> We should consider this a bug, because Guix's attempt to add to the
>> XDG_DATA_DIRS environment variable clobbers the default value that
>> foreign distributions are relying on.
>
> Is this something we can avoid by patching … something to use a
> Guix-specific variable?  This variable can cause a lot of trouble when
> using Guix on foreign distros, but I don’t know how we can prevent
> system software from loading stuff from XDG_DATA_DIRS for Guix and vice
> versa without renaming the variables.
>
> A related question: should Guix software ignore XDG_DATA_DIRS when set
> by the system?  Or is it enough to make it respect an *additional*
> variable like GUIX_XDG_DATA_DIRS, which we would have Guix set?
>
>> We should at least document this in the manual, maybe in "(guix)
>> Application Setup".
>
> If it’s an easy workaround: yes.  But if it’s a bug we can actually fix
> I’d rather see it fixed :)

I don't think this would be a sufficient workaround anyway. It seems
related to bug 35308 (<http://issues.guix.info/35308>) where
GI_TYPELIB_PATH is also involved.

Regards,
-- 
Nicolas Goaziou